\name{fcondXA2}
\alias{fcondXA2}
\title{
Conditional density evaluation in the fully nonparametric model
}
\description{
This function evaluates a density path conditionally on a posterior 
realization of the normalized measure. 
}
\usage{
fcondXA2(x, distr, Tauy, Tauz, J)
}
\details{
For internal use. 
}
\examples{
## The function is currently defined as
function (x, distr = 1, Tauy, Tauz, J) 
{
    pJ <- J/sum(J)
    K <- matrix(NA, nrow = length(Tauy), ncol = length(x))
    for (i in seq(Tauy)) {
        K[i, ] <- dk(x, distr = distr, mu = Tauy[i], sigma = Tauz[i])
    }
    fcondXA2 <- apply(K, 2, function(x) sum(x * pJ))
    return(fcondXA2)
  }
}
\keyword{internal}
